<?php
/**
 *
 * @category        pagemodule
 * @package         numbers
 * @author          Ruud Eisinga - www.dev4me.com
 * @link			http://www.dev4me.nl/
 * @license         http://www.gnu.org/licenses/gpl.html
 * @platform        WebsiteBaker 2.8.x / WBCE
 * @version         1.1.2
 * @lastmodified    August 23, 2021
 *
 */
 
/* -------------------------------------------------------- */
// Must include code to stop this file being accessed directly
if(!defined('WB_PATH')) {
	require_once(dirname(dirname(__FILE__)).'/framework/globalExceptionHandler.php');
	throw new IllegalFileException();
}
/* -------------------------------------------------------- */


if (!function_exists('db_add_field')) {
	function db_add_field($field, $table, $desc) {
		global $database;
		$table = TABLE_PREFIX.$table;
		$query = $database->query("DESCRIBE $table '$field'");
		if(!$query || $query->numRows() == 0) { // add field
			$query = $database->query("ALTER TABLE $table ADD $field $desc");
			if($database->is_error()) {
				echo $database->get_error().'<br>';
			}
		}
	}
}
 
$table_data = "mod_numbers";
 
db_add_field("title", $table_data, "VARCHAR(512) NOT NULL DEFAULT ''");
db_add_field("speed", $table_data, "INT NOT NULL DEFAULT '4'");
